public class LightTester {
    public static void main(String[] args) {
        Light lightA = new Light();
        System.out.println("I created a new light referenced by A: " + lightA);
        Light lightB = lightA;
        System.out.println("Light B references the same light: " + lightB);
        Light lightC = new Light();
        System.out.println("I created a second light: " + lightC);
        System.out.println("\"Light B is on\" is " + lightB.isOn());
        lightA.setOn(true);
        System.out.println("I switched light A on");
        System.out.println("\"Light B is on\" is " + lightB.isOn());
    }
}
